Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs	(revision 267)
@@ -369,61 +372,61 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, PurchaseOrder data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE PurchaseOrder";
+                strcmd.Append("UPDATE PurchaseOrder");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode);	                    // 工事番号
-                strcmd += string.Format(",SeqNo = {0}", data.SeqNo);                                            // 注文書枝番
-                strcmd += string.Format(",CompanyCode = {0}", data.CompanyCode);                                // 協力会社コード
+                strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode);	                    // 工事番号
+                strcmd.AppendFormat(",SeqNo = {0}", data.SeqNo);                                            // 注文書枝番
+                strcmd.AppendFormat(",CompanyCode = {0}", data.CompanyCode);                                // 協力会社コード
 
-                strcmd += string.Format(",CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')",
+                strcmd.AppendFormat(",CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')",
                                                                     data.CreateDate.ToShortDateString());       // 作成日付
-                strcmd += string.Format(",OrderPrice = {0}", data.OrderPrice);                                  // 発注金額
-                strcmd += string.Format(",LastRowStringDate = STR_TO_DATE('{0}','%Y/%m/%d')",
+                strcmd.AppendFormat(",OrderPrice = {0}", data.OrderPrice);                                  // 発注金額
+                strcmd.AppendFormat(",LastRowStringDate = STR_TO_DATE('{0}','%Y/%m/%d')",
                                                                     data.LastRowStringDate.ToShortDateString());// 最終行表示日付
 
 
-                strcmd += string.Format(",OrderSheetType = {0}", data.OrderSheetType);                          // 簡易・本式フラグ
-                strcmd += string.Format(",PaymentTerms = {0}", data.PaymentTerms);                              // 支払い条件
-                strcmd += string.Format(",CashRatio = {0}", data.CashRatio);                                    // 現金割合（％）
-                strcmd += string.Format(",BillPeriod = {0}", data.BillPeriod);                                  // 手形期間
+                strcmd.AppendFormat(",OrderSheetType = {0}", data.OrderSheetType);                          // 簡易・本式フラグ
+                strcmd.AppendFormat(",PaymentTerms = {0}", data.PaymentTerms);                              // 支払い条件
+                strcmd.AppendFormat(",CashRatio = {0}", data.CashRatio);                                    // 現金割合（％）
+                strcmd.AppendFormat(",BillPeriod = {0}", data.BillPeriod);                                  // 手形期間
 
 
-                strcmd += string.Format(",PrePayments = {0}", data.PrePayments);                                // 前金払
-                strcmd += string.Format(",PrePaymentsDays = {0}", data.PrePaymentsDays);                        // 前金払日数
-                strcmd += string.Format(",PrePaymentsPrice = {0}", data.PrePaymentsPrice);                      // 前金払金額
-                strcmd += string.Format(",PartialPayment = {0}", data.PartialPayment);                          // 部分払
-                strcmd += string.Format(",PartialPaymentMounth = {0}", data.PartialPaymentMounth);              // 部分払締切月
-                strcmd += string.Format(",PartialPaymentDay1 = {0}", data.PartialPaymentDay1);                  // 部分払締切日
-                strcmd += string.Format(",PartialPaymentDay2 = {0}", data.PartialPaymentDay2);                  // 部分払支払日
-                strcmd += string.Format(",PartialPaymentPrice = {0}", data.PartialPaymentPrice);                // 部分払金額
-                strcmd += string.Format(",CompletionPayment = {0}", data.CompletionPayment);                    // 引渡し時の支払
-                strcmd += string.Format(",CompletionPaymentDays = {0}", data.CompletionPaymentDays);            // 引渡し時の支払日数
-                strcmd += string.Format(",CompletionPaymentPrice = {0}", data.CompletionPaymentPrice);          // 引渡し時の支払金額
+                strcmd.AppendFormat(",PrePayments = {0}", data.PrePayments);                                // 前金払
+                strcmd.AppendFormat(",PrePaymentsDays = {0}", data.PrePaymentsDays);                        // 前金払日数
+                strcmd.AppendFormat(",PrePaymentsPrice = {0}", data.PrePaymentsPrice);                      // 前金払金額
+                strcmd.AppendFormat(",PartialPayment = {0}", data.PartialPayment);                          // 部分払
+                strcmd.AppendFormat(",PartialPaymentMounth = {0}", data.PartialPaymentMounth);              // 部分払締切月
+                strcmd.AppendFormat(",PartialPaymentDay1 = {0}", data.PartialPaymentDay1);                  // 部分払締切日
+                strcmd.AppendFormat(",PartialPaymentDay2 = {0}", data.PartialPaymentDay2);                  // 部分払支払日
+                strcmd.AppendFormat(",PartialPaymentPrice = {0}", data.PartialPaymentPrice);                // 部分払金額
+                strcmd.AppendFormat(",CompletionPayment = {0}", data.CompletionPayment);                    // 引渡し時の支払
+                strcmd.AppendFormat(",CompletionPaymentDays = {0}", data.CompletionPaymentDays);            // 引渡し時の支払日数
+                strcmd.AppendFormat(",CompletionPaymentPrice = {0}", data.CompletionPaymentPrice);          // 引渡し時の支払金額
 
-                strcmd += string.Format(",LeadEngineerCode = {0}", data.LeadEngineerCode);                      // 主任技術者コード
-                strcmd += string.Format(",LeadEngineerName = '{0}'", data.LeadEngineerName);                    // 主任技術者名
-                strcmd += string.Format(",SafetyOfficerCode = {0}", data.SafetyOfficerCode);                    // 安全管理者コード
-                strcmd += string.Format(",SafetyOfficerName = '{0}'", data.SafetyOfficerName);                  // 安全管理者名
-                strcmd += string.Format(",WorkersCount = {0}", data.WorkersCount);                              // 作業員数
-                strcmd += string.Format(",PrintoutDate = STR_TO_DATE('{0}','%Y/%m/%d')",
+                strcmd.AppendFormat(",LeadEngineerCode = {0}", data.LeadEngineerCode);                      // 主任技術者コード
+                strcmd.AppendFormat(",LeadEngineerName = '{0}'", data.LeadEngineerName);                    // 主任技術者名
+                strcmd.AppendFormat(",SafetyOfficerCode = {0}", data.SafetyOfficerCode);                    // 安全管理者コード
+                strcmd.AppendFormat(",SafetyOfficerName = '{0}'", data.SafetyOfficerName);                  // 安全管理者名
+                strcmd.AppendFormat(",WorkersCount = {0}", data.WorkersCount);                              // 作業員数
+                strcmd.AppendFormat(",PrintoutDate = STR_TO_DATE('{0}','%Y/%m/%d')",
                                                                     data.PrintoutDate.ToShortDateString());     // 印刷年月日
                 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -439,18 +442,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM PurchaseOrder", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM PurchaseOrder", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -463,107 +466,107 @@
         /// <returns></returns>
         public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true, int SeqNo = 0)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "UPDATE PurchaseOrder";
+                strcmd.Append("UPDATE PurchaseOrder");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
                 switch (FeildNo)
                 {
                     case (int)TableColumn.ConstructionCode:	        // 工事番号
-                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ConstructionCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.SeqNo:                    // 注文書枝番
-                        strcmd += string.Format(" SeqNo = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" SeqNo = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.CompanyCode:              // 協力会社コード
-                        strcmd += string.Format(" CompanyCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" CompanyCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.CreateDate:               // 作成日付
-                        strcmd += string.Format(" CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd.AppendFormat(" CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)TableColumn.OrderPrice:               // 発注金額
-                        strcmd += string.Format(" OrderPrice = {0}", ((double)value).ToString());
+                        strcmd.AppendFormat(" OrderPrice = {0}", ((double)value).ToString());
                         break;
                     case (int)TableColumn.LastRowStringDate:        // 最終行表示日付
-                        strcmd += string.Format(" LastRowStringDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd.AppendFormat(" LastRowStringDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)TableColumn.OrderSheetType:           // 簡易・本式フラグ
-                        strcmd += string.Format(" OrderSheetType = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" OrderSheetType = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.PaymentTerms:             // 支払い条件
-                        strcmd += string.Format(" PaymentTerms = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" PaymentTerms = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.CashRatio:                // 現金割合（％）
-                        strcmd += string.Format(" CashRatio = {0}", ((double)value).ToString());
+                        strcmd.AppendFormat(" CashRatio = {0}", ((double)value).ToString());
                         break;
                     case (int)TableColumn.BillPeriod:               // 手形期間
-                        strcmd += string.Format(" BillPeriod = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" BillPeriod = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.PrePayments:              // 前金払
-                        strcmd += string.Format(" PrePayments = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" PrePayments = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.PrePaymentsDays:          // 前金払日数
-                        strcmd += string.Format(" PrePaymentsDays = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" PrePaymentsDays = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.PrePaymentsPrice:         // 前金払金額
-                        strcmd += string.Format(" PrePaymentsPrice = {0}", ((double)value).ToString());
+                        strcmd.AppendFormat(" PrePaymentsPrice = {0}", ((double)value).ToString());
                         break;
                     case (int)TableColumn.PartialPayment:           // 部分払
-                        strcmd += string.Format(" PartialPayment = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" PartialPayment = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.PartialPaymentMounth:     // 部分払締切月
-                        strcmd += string.Format(" PartialPaymentMounth = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" PartialPaymentMounth = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.PartialPaymentDay1:       // 部分払締切日
-                        strcmd += string.Format(" PartialPaymentDay1 = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" PartialPaymentDay1 = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.PartialPaymentDay2:       // 部分払支払日
-                        strcmd += string.Format(" PartialPaymentDay2 = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" PartialPaymentDay2 = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.PartialPaymentPrice:      // 部分払金額
-                        strcmd += string.Format(" PartialPaymentPrice = {0}", ((double)value).ToString());
+                        strcmd.AppendFormat(" PartialPaymentPrice = {0}", ((double)value).ToString());
                         break;
                     case (int)TableColumn.CompletionPayment:        // 引渡し時の支払
-                        strcmd += string.Format(" CompletionPayment = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" CompletionPayment = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.CompletionPaymentDays:    // 引渡し時の支払日数
-                        strcmd += string.Format(" CompletionPaymentDays = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" CompletionPaymentDays = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.CompletionPaymentPrice:   // 引渡し時の支払金額
-                        strcmd += string.Format(" CompletionPaymentPrice = {0}", ((double)value).ToString());
+                        strcmd.AppendFormat(" CompletionPaymentPrice = {0}", ((double)value).ToString());
                         break;
                     case (int)TableColumn.LeadEngineerCode:         // 主任技術者コード
-                        strcmd += string.Format(" LeadEngineerCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" LeadEngineerCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.LeadEngineerName:         // 主任技術者名
-                        strcmd += string.Format(" LeadEngineerName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" LeadEngineerName = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.SafetyOfficerCode:        // 安全管理者コード
-                        strcmd += string.Format(" SafetyOfficerCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" SafetyOfficerCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.SafetyOfficerName:        // 安全管理者名
-                        strcmd += string.Format(" SafetyOfficerName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" SafetyOfficerName = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.WorkersCount:             // 作業員数
-                        strcmd += string.Format(" WorkersCount = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" WorkersCount = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.PrintoutDate:             // 印刷年月日
-                        strcmd += string.Format(" PrintoutDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd.AppendFormat(" PrintoutDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                 }
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += CreatePrimarykeyString(ConstructionCode, SeqNo);
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(CreatePrimarykeyString(ConstructionCode, SeqNo));
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -631,19 +634,19 @@
         /// </summary>
         public string CreatePrimarykeyString(int ConstructionCode, int SeqNo = 0)
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where ConstructionCode = {0}", ConstructionCode);
+                strWork.AppendFormat(" Where ConstructionCode = {0}", ConstructionCode);
                 if (SeqNo != 0)
-                    strWork += string.Format(" And SeqNo = {0}", SeqNo);
+                    strWork.AppendFormat(" And SeqNo = {0}", SeqNo);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
 
@@ -657,16 +660,16 @@
         public int SelectMaxSeqNoCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(SeqNo), 0) FROM PurchaseOrder" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(SeqNo), 0) FROM PurchaseOrder {0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -680,7 +683,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
             return iRet;
         }
